package com.jiuqi.dna.ide.designer.commands;

import com.jiuqi.dna.ide.designer.DesignerMessages;
import com.jiuqi.dna.ide.designer.elements.ILinkElement;
import com.jiuqi.dna.ide.designer.elements.IRootElement;
import org.eclipse.gef.commands.Command;

/* loaded from: com_jiuqi_dna_ide_designer_commands.jar:com/jiuqi/dna/ide/designer/commands/LinkCreateCommand.class */
public class LinkCreateCommand extends Command {
    private ILinkElement link;
    private IRootElement root;

    public LinkCreateCommand(ILinkElement link, IRootElement root) {
        if (link == null) {
            throw new NullPointerException("参数link不能为NULL！");
        }
        if (root == null) {
            throw new NullPointerException("参数root不能为NULL！");
        }
        this.link = link;
        this.root = root;
        link.setParent(this.root);
        setLabel(DesignerMessages.LinkCreateCommandLabel);
    }

    public boolean canExecute() {
        return !this.link.isInitialized() && this.link.isInitializable();
    }

    public void execute() {
        this.link.init();
    }

    public void undo() {
        this.link.dispose();
    }

    public ILinkElement getLink() {
        return this.link;
    }
}
